# kdecore Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KClipboardSynchronizer Class Reference

This class is only for internal use. Allowing to automatically synchronize the X11 Clipboard and Selection buffers. More...

`#include <kclipboard.h>`

Inheritance diagram for KClipboardSynchronizer:

[legend]
Collaboration diagram for KClipboardSynchronizer:

[legend]
List of all members.

## Static Public Member Functions

static KClipboardSynchronizer * | self ()
static void | setSynchronizing (bool sync)
static bool | isSynchronizing ()
static void | setReverseSynchronizing (bool enable)
static bool | isReverseSynchronizing ()

## Friends

class | KlipperWidget
class | KApplication

## Detailed Description

This class is only for internal use. Allowing to automatically synchronize the X11 Clipboard and Selection buffers.

Author:
  Carsten Pfeiffer <pfeiffer@kde.org>

Since:
  3.1

Definition at line 35 of file kclipboard.h.

## Member Function Documentation

KClipboardSynchronizer * KClipboardSynchronizer::self | ( |  | ) | `[static]`

Returns the KClipboardSynchronizer singleton object.

Returns:
  the KClipboardSynchronizer singleton object.

Definition at line 97 of file kclipboard.cpp.

void KClipboardSynchronizer::setSynchronizing | ( | bool | sync | ) | `[static]`

Configures KClipboardSynchronizer to synchronize the Selection to Clipboard whenever it changes.

Default is false.

See also:
  isSynchronizing

Definition at line 180 of file kclipboard.cpp.

static bool KClipboardSynchronizer::isSynchronizing | ( |  | ) | `[inline, static]`

Checks whether Clipboard and Selection will be synchronized upon changes.

Returns:
  whether Clipboard and Selection will be synchronized upon changes.

See also:
  setSynchronizing

Definition at line 64 of file kclipboard.h.

void KClipboardSynchronizer::setReverseSynchronizing | ( | bool | enable | ) | `[static]`

Configures KClipboardSynchronizer to copy the Clipboard buffer to the Selection buffer whenever the Clipboard changes.

Parameters:

  | enable | true to enable implicit selection, false otherwise. Default is true.

See also:
  selectionSetting

Definition at line 186 of file kclipboard.cpp.

static bool KClipboardSynchronizer::isReverseSynchronizing | ( |  | ) | `[inline, static]`

Checks whether the Clipboard buffer will be copied to the Selection buffer upon changes.

Returns:
  whether the Clipboard buffer will be copied to the Selection buffer upon changes.

See also:
  setSelectionSetting

Definition at line 87 of file kclipboard.h.

The documentation for this class was generated from the following files:

- kclipboard.h
- kclipboard.cpp

This file is part of the documentation for kdecore Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:18:21 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003